Bug 33285 - PC card does not work with more than 256MB of memory on a Dell Lat C600
PC card does not work with more than 256MB of memory on a Dell Lat C600
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-26 16:49 EST by Mick Tantasirikorn
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-04 02:10:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci output (713 bytes, text/plain)
2001-03-26 18:35 EST, Mick Tantasirikorn
no flags Details
lspci -n output (372 bytes, text/plain)
2001-03-26 18:35 EST, Mick Tantasirikorn
no flags Details

  None (edit)
Description Mick Tantasirikorn 2001-03-26 16:49:38 EST
PC card does not work with more than 256MB of memory on a Dell Lat C600.  
I have 512MB or 384MB of RAM on the Dell Latitude C600.  After the 
installation CD or Hard drive installation, the PC Card would say it is 
initialized during the boot up but I hear no beep and none of my pcmcia 
cards would work.  Once I change the memory to 256MB, the the system would 
work normally, (beep at boot up and functioning properly).
Comment 1 Arjan van de Ven 2001-03-26 17:33:25 EST
Two things:
1) Whack the guy who forgot to put the copper for the higher addresslines on the
head
2) Could you paste/attach the output of both "lspci" and "lspci -n" so
    we can mark the chip as a special case
Comment 2 Mick Tantasirikorn 2001-03-26 18:35:17 EST
Created attachment 13723 [details]
lspci output
Comment 3 Mick Tantasirikorn 2001-03-26 18:35:45 EST
Created attachment 13724 [details]
lspci -n output
Comment 4 Mick Tantasirikorn 2001-03-26 18:37:10 EST
1) Let me check who the guy I am supposed to whack is, if he is smaller than I 
am I'll see what I can do, otherwise, I guess I'll live with it.
2) the two attachments are above

Thanks
Comment 5 Bill Nottingham 2001-03-28 15:20:11 EST
This is *only* on the C600, right?

(I tried it on the i8000 while the C600 is being used to debug the
PCMCIA hangs on card eject; it worked fine.)
Comment 6 Mick Tantasirikorn 2001-03-28 16:01:31 EST
Correct, this only happens on the C600.
Comment 7 Matt Wilson 2001-03-28 19:20:06 EST
if you can find a hardware guy and bios guy for this laptop we have questions
for them.  The BIOS is allocating memory for the cardbus bridge *WITHIN* system
memory, not above it.
Comment 8 Mick Tantasirikorn 2001-03-30 18:00:13 EST
I don't understand why it is a BIOS or a Hardware problem when the same exact 
system installed with RH 7.0 and 512MB of RAM does not exhibit this problem.
Comment 9 Bill Nottingham 2001-04-04 02:10:52 EDT
Hm, might be a change with how stuff is read from the PCI bios between
2.2 and 2.4. Will have to throw a 2.2 kernel on it to check.
Comment 10 Dale Kaisner 2001-07-23 17:35:07 EDT
Issue was addressed in latest BIOS, but verification not completed.
Comment 11 Arjan van de Ven 2001-07-23 17:38:10 EDT
There is also a workaround for this in 2.4.3-12 and later kernels,
maybe even in the 2.4.3-6 SBE kernel, but I'm not 100% sure about that.

Note You need to log in before you can comment on or make changes to this bug.